Page MenuHomePhabricator

Review m5 backups
Closed, ResolvedPublic

Description

Backups of the following databases are done:

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `ceilometer` /*!40100 DEFAULT CHARACTER SET latin1 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `glance` /*!40100 DEFAULT CHARACTER SET utf8 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `keystone` /*!40100 DEFAULT CHARACTER SET utf8 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `neutron` /*!40100 DEFAULT CHARACTER SET latin1 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `nova` /*!40100 DEFAULT CHARACTER SET utf8 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `designate` /*!40100 DEFAULT CHARACTER SET utf8 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `designate_pool_manager` /*!40100 DEFAULT CHARACTER SET utf8 */;
CREATE DATABASE /*!32312 IF NOT EXISTS*/ `nodepooldb` /*!40100 DEFAULT CHARACTER SET binary */;

The following databases are on m5:

+------------------------+
| Database               |
+------------------------+
| ceilometer             |
| designate              |
| designate_pool_manager |
| glance                 |
| heartbeat              |
| information_schema     |
| keystone               |
| labsdbaccounts         |
| labspuppet             |
| mysql                  |
| mysqladmin             |
| neutron                |
| nodepooldb             |
| nova                   |
| percona                |
| performance_schema     |
| puppet                 |
| striker                |
| test_labsdbaccounts    |
| testreduce             |
| testreduce_0715        |
| testreduce_vd          |
+------------------------+
22 rows in set (0.00 sec)

For each one we should check: backup, not backup but keep or drop. Most of these are cloud-related, except testreduce* ones, which we were told not to do backups: https://phabricator.wikimedia.org/T160691#3110054 I will add ssastry to see if all are still needed and still do not need backups.

Event Timeline

jcrespo triaged this task as Medium priority.Feb 6 2018, 9:42 AM
jcrespo created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 6 2018, 9:42 AM

heartbeat, information_schema, performance_schema and mysql are system databases that need no sql-backups. percona may contain some checsums, but probably should be deleted and checked again.

jcrespo raised the priority of this task from Medium to High.Feb 6 2018, 9:50 AM

Drop: test_labsdbaccounts
Backup: labsdbaccounts

labspuppet, puppet and striker are the other 3 that I don't see are not backed up currently, will poke folks in our team meeting today to confirm.

I will add labsdbaccounts, make sure there is at least 1 full backup and unblock T183029

testreduce can be dropped. The other two are needed. No backups necessary.

madhuvishy added a comment.EditedFeb 7 2018, 11:27 PM

Backup: striker, labspuppet.

puppet seems to be the only other one but no in Cloud Services knows much about it or maintains it - we only found data in there from 2012, and it doesn't seemed to be referenced anywhere in puppet.

Final list:

Things to backup:

ceilometer
glance
keystone
neutron
nova
striker
labspuppet
labsdbaccounts
designate
designate_pool_manager
nodepooldb

Things to keep but not backup (I may do backups if they are small, just to simplify code, but not guarantee):

testreduce_0715
testreduce_vd
*other system databases*

Things to archive and drop from live dbs:

puppet
test_labsdbaccounts
testreduce
mysqladmin
percona
jcrespo claimed this task.Feb 14 2018, 10:17 AM
jcrespo added a project: DBA.
jcrespo moved this task from Triage to In progress on the DBA board.

Mentioned in SAL (#wikimedia-operations) [2018-02-14T10:46:15Z] <jynus> dropping test databases from m5 T186585

jcrespo closed this task as Resolved.Feb 14 2018, 10:50 AM

I have not dropped percona, will want to examine the checkusums later. Will do at another time.

Thanks for this work @jcrespo!

bd808 moved this task from Doing to Done on the cloud-services-team (Kanban) board.